Bug 906616 - [abrt] util-linux-2.22.1-2.1.fc18: strncpy: Process /usr/bin/login was killed by signal 11 (SIGSEGV)
[abrt] util-linux-2.22.1-2.1.fc18: strncpy: Process /usr/bin/login was killed...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
abrt_hash:3ee97c01b84cd2db9df677a019f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-31 21:45 EST by bpk678
Modified: 2013-07-24 20:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: pam-1.1.6-4.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-13 23:31:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.46 KB, text/plain)
2013-01-31 21:45 EST, bpk678
no flags Details
File: cgroup (168 bytes, text/plain)
2013-01-31 21:45 EST, bpk678
no flags Details
File: core_backtrace (1013 bytes, text/plain)
2013-01-31 21:45 EST, bpk678
no flags Details
File: dso_list (4.25 KB, text/plain)
2013-01-31 21:45 EST, bpk678
no flags Details
File: environ (107 bytes, text/plain)
2013-01-31 21:45 EST, bpk678
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-31 21:45 EST, bpk678
no flags Details
File: maps (21.03 KB, text/plain)
2013-01-31 21:45 EST, bpk678
no flags Details
File: open_fds (102 bytes, text/plain)
2013-01-31 21:46 EST, bpk678
no flags Details
File: proc_pid_status (879 bytes, text/plain)
2013-01-31 21:46 EST, bpk678
no flags Details
File: var_log_messages (3.18 KB, text/plain)
2013-01-31 21:46 EST, bpk678
no flags Details

  None (edit)
Description bpk678 2013-01-31 21:45:45 EST
Description of problem:
i think this is related to using network credentials when no local account exists.  I use openldap with kerberos passwords, as configured in authconfig-gtk.  i install nss-pam-ldapd and configure /etc/nslcd.conf with uri, basedn, binddn, and bindpw and start nslcd.  when i try to login, my password is not taken, and it seems that this crash occured.

Version-Release number of selected component:
util-linux-2.22.1-2.1.fc18

Additional info:
backtrace_rating: 4
cmdline:        /bin/login -- '       '
crash_function: strncpy
executable:     /usr/bin/login
kernel:         3.6.10-4.fc18.x86_64
remote_result:  NOTFOUND
uid:            0

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 strncpy at ./strncpy.c:41
 #2 bigcrypt at bigcrypt.c:113
 #3 verify_pwd_hash at passverify.c:97
 #4 _unix_verify_password at support.c:660
 #5 pam_sm_authenticate at pam_unix_auth.c:180
 #6 _pam_dispatch_aux at pam_dispatch.c:110
 #7 _pam_dispatch at pam_dispatch.c:407
 #8 pam_authenticate at pam_auth.c:34
 #9 loginpam_auth at login-utils/login.c:807
Comment 1 bpk678 2013-01-31 21:45:48 EST
Created attachment 691326 [details]
File: backtrace
Comment 2 bpk678 2013-01-31 21:45:49 EST
Created attachment 691327 [details]
File: cgroup
Comment 3 bpk678 2013-01-31 21:45:51 EST
Created attachment 691328 [details]
File: core_backtrace
Comment 4 bpk678 2013-01-31 21:45:53 EST
Created attachment 691329 [details]
File: dso_list
Comment 5 bpk678 2013-01-31 21:45:54 EST
Created attachment 691330 [details]
File: environ
Comment 6 bpk678 2013-01-31 21:45:56 EST
Created attachment 691331 [details]
File: limits
Comment 7 bpk678 2013-01-31 21:45:58 EST
Created attachment 691332 [details]
File: maps
Comment 8 bpk678 2013-01-31 21:46:00 EST
Created attachment 691333 [details]
File: open_fds
Comment 9 bpk678 2013-01-31 21:46:01 EST
Created attachment 691334 [details]
File: proc_pid_status
Comment 10 bpk678 2013-01-31 21:46:03 EST
Created attachment 691335 [details]
File: var_log_messages
Comment 11 Fedora Update System 2013-07-12 04:23:21 EDT
pam-1.1.6-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pam-1.1.6-4.fc18
Comment 12 Fedora Update System 2013-07-12 04:23:47 EDT
pam-1.1.6-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pam-1.1.6-12.fc19
Comment 13 Fedora Update System 2013-07-12 21:51:16 EDT
Package pam-1.1.6-12.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pam-1.1.6-12.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12889/pam-1.1.6-12.fc19
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-07-13 23:31:24 EDT
pam-1.1.6-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-07-24 20:49:02 EDT
pam-1.1.6-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.